import pyMeow as pm

class GrenadeHack:
    offset = 0x144

    @classmethod
    def apply(cls, proc, local_player_addr, value=9999999):
        """local_player의 Grenade 값을 9999999로 고정시킵니다."""
        try:
            pm.w_int(proc, local_player_addr + cls.offset, value)
        except Exception as e:
            pass
